summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2011-02-28 11:12:26 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-03-01 09:57:51 -0600
commit13ef21af994a950eba556a29911562b602488a2d (patch)
tree66128691d0f3653684534f4c2699c5b89c759bbe /network
parent3dbdefcf9a2aea7f49a37f3c7f1393d4595863a3 (diff)
downloadslackbuilds-13ef21af994a950eba556a29911562b602488a2d.tar.gz
slackbuilds-13ef21af994a950eba556a29911562b602488a2d.tar.xz
network/perl-NetAddr-IP: Updated for version 4.038.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/perl-NetAddr-IP/README2
-rw-r--r--network/perl-NetAddr-IP/perl-NetAddr-IP.SlackBuild33
-rw-r--r--network/perl-NetAddr-IP/perl-NetAddr-IP.info8
3 files changed, 17 insertions, 26 deletions
diff --git a/network/perl-NetAddr-IP/README b/network/perl-NetAddr-IP/README
index 16d1ead6e5..97c51c55ca 100644
--- a/network/perl-NetAddr-IP/README
+++ b/network/perl-NetAddr-IP/README
@@ -1,4 +1,2 @@
perl-NetAddr-IP provides perl modules to manage IPv4 and IPv6 addresses
and subnets.
-
-perl-NetAddr-IP is a required dependency for perl-Mail-SPF package.
diff --git a/network/perl-NetAddr-IP/perl-NetAddr-IP.SlackBuild b/network/perl-NetAddr-IP/perl-NetAddr-IP.SlackBuild
index 9e234c42a2..7708bb7b16 100644
--- a/network/perl-NetAddr-IP/perl-NetAddr-IP.SlackBuild
+++ b/network/perl-NetAddr-IP/perl-NetAddr-IP.SlackBuild
@@ -3,16 +3,16 @@
# Slackware Package Build Script for perl modules: NetAddr::IP
# Home Page http://search.cpan.org/dist/NetAddr-IP/
-# Copyright (c) 2008-2010, Nishant Limbachia, Hoffman Estates, IL, USA
+# Copyright (c) 2008-2011, Nishant Limbachia, Hoffman Estates, IL, USA
# <nishant _AT_ mnspace _DOT_ net>
# All rights reserved.
-
+#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
-
+#
# 1. Redistributions of script must retain the above copyright notice,
# this list of conditions and the following disclaimer.
-
+#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
@@ -24,20 +24,20 @@
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-#
-# Modified by the SlackBuilds.org project.
PRGNAM=perl-NetAddr-IP
-VERSION=${VERSION:-4.037}
+VERSION=${VERSION:-4.038}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-SRCNAM=$(echo $PRGNAM | cut -f2- -d-)
+SRCNAM=NetAddr-IP
+# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -78,31 +78,24 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-
CFLAGS="$SLKCFLAGS" \
perl Makefile.PL PREFIX=/usr INSTALLDIRS=vendor INSTALLVENDORMAN3DIR=/usr/man/man3
make
make install DESTDIR=$PKG
-### putting essential docs
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Remove perlocal.pod and .packlist from $PKG
+# Remove perlocal.pod and .packlist from $PKG ; remove empty directories
find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+find $PKG -depth -type d -empty -exec rm -rf {} \;
-# strip binaries
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
-# find & compress man pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-
-# Remove empty directories
-find $PKG -depth -type d -empty -exec rm -rf {} \;
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/network/perl-NetAddr-IP/perl-NetAddr-IP.info b/network/perl-NetAddr-IP/perl-NetAddr-IP.info
index 29b1cc4cfb..9c55db4f6e 100644
--- a/network/perl-NetAddr-IP/perl-NetAddr-IP.info
+++ b/network/perl-NetAddr-IP/perl-NetAddr-IP.info
@@ -1,10 +1,10 @@
PRGNAM="perl-NetAddr-IP"
-VERSION="4.037"
+VERSION="4.038"
HOMEPAGE="http://search.cpan.org/dist/NetAddr-IP/"
-DOWNLOAD="http://search.cpan.org/CPAN/authors/id/M/MI/MIKER/NetAddr-IP-4.037.tar.gz"
-MD5SUM="d966eac6b5941af3f7c1fad839569cb4"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/M/MI/MIKER/NetAddr-IP-4.038.tar.gz"
+MD5SUM="04458809b25012a687f845f0eb860de7"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Nishant Limbachia"
EMAIL="nishant@mnspace.net"
-APPROVED="Niels Horn"
+APPROVED="rworkman"